/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    './src/pages/**/*.{js,ts,jsx,tsx,mdx}',
    './src/components/**/*.{js,ts,jsx,tsx,mdx}',
    './src/categories/**/*.{js,ts,jsx,tsx,mdx}',
  ],
  theme: {
    fontFamily: {
      sans: ['Encode Sans Semi Expanded', 'Encode Sans', 'sans-serif'],
    },
    colors: {
      'shade': 'rgb(var(--color-shade))',
      'negative': 'rgb(var(--color-negative))',
      'positive': 'rgb(var(--color-positive))',
      'primary': 'rgb(var(--color-primary))',
      'secondary': 'rgb(var(--color-secondary))',
      'tertiary': 'rgb(var(--color-tertiary))',
      'code-number': 'rgb(var(--color-code-number))',
      'code-keyword': 'rgb(var(--color-code-keyword))',
      'code-type': 'rgb(var(--color-code-type))',
      'code-instance-attribute': 'rgb(var(--color-code-instance-attribute))',
      'code-function': 'rgb(var(--color-code-function))',
      'code-parameter': 'rgb(var(--color-code-parameter))',
      'code-property': 'rgb(var(--color-code-property))',
      'code-string': 'rgb(var(--color-code-string))',
      'code-variable': 'rgb(var(--color-code-variable))',
      'code-regexp': 'rgb(var(--color-code-regexp))',
      'code-url': 'rgb(var(--color-code-url))',
      'code-global': 'rgb(var(--color-code-global))',
      'current': 'currentcolor',
      'inherit': 'inherit',
    },
    extend: {
      fontSize: {
        'xxs': '0.625rem',
      },
      borderRadius: {
        inherit: 'inherit',
      },
      minWidth: {
        6: '1.5rem',
        10: '2.5rem',
        12: '3rem',
        16: '4rem',
      },
      minHeight: {
        10: '2.5rem',
        12: '3rem',
        16: '4rem',
      },
    },
  },
  plugins: [],
}
